
Core - Bug # 57492

Status: Resolved Priority: Should have
Author: Alexander Opitz Category: Install Tool
Created: 2014-04-01 Assigned To: Alexander Opitz
Updated: 2014-05-04 Due date:
TYPO3 Version: 6.2
PHP Version:
Complexity:
Is Regression: No
Sprint Focus:
Subject: Upgrading 6.2: Do not run FileTableSplittingUpdate if we migrate from TYPO3 before 6.0
Description

If no sys_file table exists we try to migrate the fields pid and tstamp from sys_file to sys_file_metadata which leads to image
width/height = 0

Related issues:
related to Core - Bug # 46020: Image size is 0 when not scaled Closed 2013-03-04

Associated revisions
Revision a5d16741 - 2014-05-04 14:15 - Alexander Opitz

[BUGFIX] Limit FileTableSplittingUpdate to TYPO3 6.0/6.1

If the database field does not exist it may be that we have an
installation before 6.0 or after 6.1 so we do not need to migrate
the data to sys_file_metadata. This prevents empty metadata
information which may lead to other issues.
(width/height=0 for images)

Resolves: #57492
Related: #46020
Releases: 6.2
Change-Id: Id5826ea480d4139f2e232587fc2b119928b28bc8
Reviewed-on: https://review.typo3.org/29024
Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Wouter Wolters
Reviewed-by: Nicole Cordes
Reviewed-by: Anja Leichsenring
Reviewed-by: Jan Runte
Reviewed-by: Marc Bastian Heinrichs
Tested-by: Marc Bastian Heinrichs

History
#1 - 2014-04-01 14:27 - Alexander Opitz

This seams only one issue with width/height=0 while migration.
#2 - 2014-04-01 14:51 - Alexander Opitz

Another issue with this Upgrade Wizard:
If you have more files then metadata information, this Wizard will show up again, if you run this wizard again, all files wich have no metainformation
will now get empty fields.

#3 - 2014-04-01 14:59 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29024

#4 - 2014-04-02 13:31 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29024

#5 - 2014-04-02 14:22 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29024

#6 - 2014-04-02 14:40 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29024

#7 - 2014-04-30 23:00 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/29024

#8 - 2014-05-04 14:30 - Alexander Opitz
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:a5d167418855bcda97a0d8290242f6680a394d4e.
